tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Pier Fumagalli <p...@betaversion.org>
Subject Re: New warp connector 4.0.4 does not work
Date Mon, 24 Jun 2002 11:08:07 GMT
"Asar.Khan@reuters.com" <Asar.Khan@reuters.com> wrote:

> Hi Pier,
> Yes, I can confirm that I am using the prefork mpm.

Great... That means that the problem is somewhere else :( :( :(

> Excuse my ignorance but what does that mean?

It means that you're using a multi-process-module compatible with Apache
1.3. Basically you're not using the multi threaded version of Apache (the
"new big thing")..

> Is that the problem?

Nope. It is actually better, because of how atomics work in APR (long
story... But)... It is definitely not a problem... The problem is that I'm a
dumb coder, apparently...

> Should I rebuild Apache using the --enable-threads option instead?

Nope... Actually your build is the safest one. Multi threaded apache has
still some problems with mod_webapp (actually, the way around, mod_webapp
has still some issues with multi-threaded Apache)...

The only thing I don't get is WHY you're getting a 302... Can you send me
(off the list) your configuration files (both for Tomcat - server.xml - and
for Apache - httpd.conf - just to triple check them?)

302 doesn't really make sense... Did you try building the thing with the
latest CVS code?

    Pier


--
To unsubscribe, e-mail:   <mailto:tomcat-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-dev-help@jakarta.apache.org>


Mime
View raw message